- Main Page
- Modules
- Data Structures
- Files

# Basic Types

## Data Structures
struct | yaml_version_directive_s
| The version directive data. More...
struct | yaml_tag_directive_s
| The tag directive data. More...
struct | yaml_mark_s
| The pointer position. More...
## Typedefs
typedef unsigned char | yaml_char_t
| The character type (UTF-8 octet).
typedef yaml_version_directive_s | yaml_version_directive_t
| The version directive data.
typedef yaml_tag_directive_s | yaml_tag_directive_t
| The tag directive data.
typedef enum yaml_encoding_e | yaml_encoding_t
| The stream encoding.
typedef enum yaml_break_e | yaml_break_t
| Line break types.
typedef enum yaml_error_type_e | yaml_error_type_t
| Many bad things could happen with the parser and emitter.
typedef yaml_mark_s | yaml_mark_t
| The pointer position.
## Enumerations
enum | yaml_encoding_e { YAML_ANY_ENCODING, YAML_UTF8_ENCODING, YAML_UTF16LE_ENCODING, YAML_UTF16BE_ENCODING }
| The stream encoding. More...
enum | yaml_break_e { YAML_ANY_BREAK, YAML_CR_BREAK, YAML_LN_BREAK, YAML_CRLN_BREAK }
| Line break types. More...
enum | yaml_error_type_e { YAML_NO_ERROR, YAML_MEMORY_ERROR, YAML_READER_ERROR, YAML_SCANNER_ERROR, YAML_PARSER_ERROR, YAML_COMPOSER_ERROR, YAML_WRITER_ERROR, YAML_EMITTER_ERROR }
| Many bad things could happen with the parser and emitter. More...

## Enumeration Type Documentation

enum yaml_encoding_e

The stream encoding.

Enumerator:

  YAML_ANY_ENCODING | Let the parser choose the encoding.
  YAML_UTF8_ENCODING | The default UTF-8 encoding.
  YAML_UTF16LE_ENCODING | The UTF-16-LE encoding with BOM.
  YAML_UTF16BE_ENCODING | The UTF-16-BE encoding with BOM.

enum yaml_break_e

Line break types.

Enumerator:

  YAML_ANY_BREAK | Let the parser choose the break type.
  YAML_CR_BREAK | Use CR for line breaks (Mac style).
  YAML_LN_BREAK | Use LN for line breaks (Unix style).
  YAML_CRLN_BREAK | Use CR LN for line breaks (DOS style).

enum yaml_error_type_e

Many bad things could happen with the parser and emitter.

Enumerator:

  YAML_NO_ERROR | No error is produced.
  YAML_MEMORY_ERROR | Cannot allocate or reallocate a block of memory.
  YAML_READER_ERROR | Cannot read or decode the input stream.
  YAML_SCANNER_ERROR | Cannot scan the input stream.
  YAML_PARSER_ERROR | Cannot parse the input stream.
  YAML_COMPOSER_ERROR | Cannot compose a YAML document.
  YAML_WRITER_ERROR | Cannot write to the output stream.
  YAML_EMITTER_ERROR | Cannot emit a YAML stream.